summaryrefslogtreecommitdiff
path: root/test/integration/run-tests
diff options
context:
space:
mode:
authorMichael Vogt <mvo@debian.org>2011-02-15 16:04:46 +0100
committerMichael Vogt <mvo@debian.org>2011-02-15 16:04:46 +0100
commitadee3bae782f5b7d83819bf92ab419663ef4ee64 (patch)
tree1cd47bed976482b141ab2783eb54f6ce5bac7591 /test/integration/run-tests
parentc1f701abcb04732d23df39c8c10ce5b45ee76d15 (diff)
test/integration/: remove a bunch of "local" statements from the shellscript, keep tests running even on failure but log failures
Diffstat (limited to 'test/integration/run-tests')
-rwxr-xr-xtest/integration/run-tests9
1 files changed, 8 insertions, 1 deletions
diff --git a/test/integration/run-tests b/test/integration/run-tests
index 7314e6b61..edac07dbf 100755
--- a/test/integration/run-tests
+++ b/test/integration/run-tests
@@ -1,6 +1,7 @@
#!/bin/sh
set -e
+FAIL=0
DIR=$(readlink -f $(dirname $0))
if [ "$1" = "-q" ]; then
export MSGLEVEL=2
@@ -13,8 +14,14 @@ for testcase in $(run-parts --list $DIR | grep '/test-'); do
else
echo "\033[1;32mRun Testcase \033[1;35m$(basename ${testcase})\033[0m"
fi
- ${testcase}
+ if ! ${testcase}; then
+ FAIL=$((FAIL+1))
+ echo "$(basename $testcase) ... FAIL"
+ fi
if [ "$1" = "-q" ]; then
echo
fi
done
+
+echo "failures: $FAIL"
+exit $FAIL